MiniMax H3
MiniMax H3 generates videos from reference images or videos using Video Generation V2. Users provide prompts, reference media URLs, and optional audio to create videos up to 15 seconds with customizable resolution and aspect ratio.
import { config, higgsfield } from "@higgsfield/client/v2"; config({ credentials: process.env.HF_CREDENTIALS,}); const result = await higgsfield.subscribe( "minimax/h3/reference-to-video", { input: { "prompt": "A cinematic scene at sunset", "duration": 5, "resolution": "2K", "aspect_ratio": "auto", "aigc_watermark": false }, withPolling: true, },); console.log(result);Calling the API
Use minimax/h3/reference-to-video with the Higgsfield API. Keep credentials on your server.
import { config, higgsfield } from "@higgsfield/client/v2"; config({ credentials: process.env.HF_CREDENTIALS,}); const result = await higgsfield.subscribe( "minimax/h3/reference-to-video", { input: { "prompt": "A cinematic scene at sunset", "duration": 5, "resolution": "2K", "aspect_ratio": "auto", "aigc_watermark": false }, withPolling: true, },); console.log(result);Request parameters
promptstring · required
Write your prompt here
{
"type": "string",
"title": "Prompt",
"minLength": 1,
"description": "Write your prompt here"
}image_urlsarray · optional
Reference image URLs
{
"type": "array",
"items": {
"type": "string",
"format": "uri"
},
"title": "Reference image URLs",
"maxItems": 9,
"minItems": 1
}video_urlsarray · optional
Reference video URLs
{
"type": "array",
"items": {
"type": "string",
"format": "uri"
},
"title": "Reference video URLs",
"maxItems": 3,
"minItems": 1
}audio_urlsarray · optional
Reference audio URLs
{
"type": "array",
"items": {
"type": "string",
"format": "uri"
},
"title": "Reference audio URLs",
"maxItems": 3,
"minItems": 0
}aspect_ratiostring · optional
Aspect ratio
Options: auto, adaptive, 21:9, 16:9, 4:3, 1:1, 3:4, 9:16
Default: "auto"
{
"enum": [
"auto",
"adaptive",
"21:9",
"16:9",
"4:3",
"1:1",
"3:4",
"9:16"
],
"type": "string",
"title": "Aspect ratio",
"default": "auto"
}durationinteger · optional
Duration
Default: 5
{
"type": "integer",
"title": "Duration",
"default": 5,
"maximum": 15,
"minimum": 5
}resolutionstring · optional
Resolution
Options: 2K
Default: "2K"
{
"enum": [
"2K"
],
"type": "string",
"title": "Resolution",
"default": "2K"
}aigc_watermarkboolean · optional
AIGC watermark
Default: false
{
"type": "boolean",
"title": "AIGC watermark",
"default": false
}Price
2K output costs $0.13 per generated second. The first five reference images are included; each additional reference image costs $0.08. Rates shown are before any applicable customer discount.
View all pricing